## grendel.widgets
Class StatusEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--grendel.widgets.StatusEvent

public class StatusEvent
extends java.util.EventObject

Class for passing status messages to listeners

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`StatusEvent(java.lang.Object aSource, java.lang.String aStatus)` Creates a status event with the given status.
`StatusEvent(java.lang.Object aSource, java.lang.String aStatus, boolean aCopy)` Creates a status event with the given string.

Method Summary
`java.lang.String` | `getStatus()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatusEvent

    public StatusEvent(java.lang.Object aSource,
                       java.lang.String aStatus)

  Creates a status event with the given status. The string is not copied for efficiency, use StatusEvent(Object aSource, String aStatus , boolean aCopy) for a constructor that copies the string.

### StatusEvent

    public StatusEvent(java.lang.Object aSource,
                       java.lang.String aStatus,
                       boolean aCopy)

  Creates a status event with the given string. If aCopy is true, a copy of the status string is stored.

Method Detail

### getStatus

    public final java.lang.String getStatus()

  Returns:
    The status string for this event.